Subject: Miserable widget completion for type 'directory on w32

From: Lennart Borgman <[email-masked]>
Date: Mon, 3 Jan 2011 22:00:17 +0100

Suppose you have a defcustom with a ":type 'directory". Then you are
supposed to be able to use widget-complete to make it easier to fill
in this list. There are (at least) two problems with this on w32:

- The completion is case sensitive. However the file system is case
insensitive on w32.

- widget-complete is bound to M-TAB. This is by default bound to
Alt-Tab which is not available to applications on w32.

GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600) of 2010-12-29 on LENNART-69DE564